#### buffer (16 of 32 overloads)

Create a new non-modifiable buffer that represents the given POD array.

    template<
        typename PodType,
        std::size_t N>
    const_buffer buffer(
        const boost::array< PodType, N > & data,
        std::size_t max_size_in_bytes);

###### Return Value

A `const_buffer` value equivalent to:

    const_buffer(
        data.data(),
        min(data.size() * sizeof(PodType), max_size_in_bytes));